DDCreator (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ejb.DDCreator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class DDCreator

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.optional.ejb.DDCreator

All Implemented Interfaces:
  SelectorContainer

public class DDCreator
extends MatchingTask

Builds a serialized deployment descriptor given a text file description of the descriptor in the format supported by WebLogic. This ant task is a front end for the weblogic DDCreator tool.

Author:
  Conor MacNeill, Cortex ebusiness Pty Limited

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DDCreator()`

Method Summary
`void` | `execute()` Do the work.
`void` | `setClasspath(java.lang.String s)` Set the classpath to be used for this compilation.
`void` | `setDescriptors(java.lang.String dirName)` Set the directory from where the text descriptions of the deployment descriptors are to be read.
`void` | `setDest(java.lang.String dirName)` Set the directory into which the serialized deployment descriptors are to be written.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDCreator

    public DDCreator()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a helper task. This approach allows the classpath of the helper task to be set. Since the weblogic tools require the class files of the project's home and remote interfaces to be available in the classpath, this also avoids having to start ant with the class path of the project it is building.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setDescriptors

    public void setDescriptors(java.lang.String dirName)

  Set the directory from where the text descriptions of the deployment descriptors are to be read.

  Parameters:
    `dirName` - the name of the directory containing the text deployment descriptor files.

### setDest

    public void setDest(java.lang.String dirName)

  Set the directory into which the serialized deployment descriptors are to be written.

  Parameters:
    `dirName` - the name of the directory into which the serialised deployment descriptors are written.

### setClasspath

    public void setClasspath(java.lang.String s)

  Set the classpath to be used for this compilation.

  Parameters:
    `s` - the classpath to use for the ddcreator tool.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.